#!/bin/sh
#--------------------------------------------------------------------------
#
#   Script to execute the I4GL to EGL Conversion Utility  on command line
#          
#--------------------------------------------------------------------------

if [ $# -lt 1 ]
then
   echo 
   echo "Usage : e4gl.sh <configuration file> [-reconversion] <manifest file>"
   echo 
   echo "  configuration file : valid configuration file with project parameters"
   echo "  -reconversion      : option set for reconversion projects "
   echo "  manifest file      : manifest file for reconversion project "
   echo 
   echo " set RAD_HOME enviornment variable if this script is not run from the directory"
   echo "  where it is installed"
   echo 
   echo " RAD_HOME -> RAD installation in the system"
   echo
   exit 1
fi

if [ "$RAD_HOME" == "" ] 
then
    export RAD_HOME="$PWD"/..
fi

JAVA_HOME=${JAVA_HOME:=$RAD_HOME/eclipse/jre}
PATH=$PATH:.:$RAD_HOME/eclipse/jre/bin
JAVA=$JAVA_HOME/bin/java

PLUGIN="com.ibm.etools.i4gl.conversion_6.0.0.2"
CONNECTIVITY=connectivity.jar
CONNECTIVITYLANG=connectivitylang.jar
JASPER=jasperreports-0.6.1.jar
PROG="com.ibm.etools.i4gl.parser.I4GL2EGL"
PLUGINDIR=$RAD_HOME/egl/eclipse/plugins/$PLUGIN
I4GL2EGL=$PLUGINDIR/runtime/i4gl2egl.jar
LIB=$PLUGINDIR/lib/$CONNECTIVITY:$PLUGINDIR/lib/$CONNECTIVITYLANG:$PLUGINDIR/lib/$JASPER

if [ -f $I4GL2EGL ]; then
 echo
else
  echo "Error: Cannot locate the conversion tool plugin "
  echo "Please set \$RAD_HOME pointing to RAD installation"
  exit 1
fi

$JAVA >/dev/null 2>&1
if [ $? -eq 0 ]
then
   echo "Error : Cannot find JRE installation"
   exit 1
fi

$JAVA -cp $LIB:$I4GL2EGL $PROG $*
